Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest
Class SetupAndTest

    java.lang.Object
      com.sun.tdk.signaturetest.Result
          com.sun.tdk.signaturetest.SetupAndTest

    public class SetupAndTest

extends Result

The purpose of this program is to create the signature file and make comparison in a one step. This is a simple wrapper that parses command line options and calls Setup first and SignatureTest next.

Field Summary
`static java.lang.String` | `REFERENCE_OPTION`
`static java.lang.String` | `TEST_OPTION`

Fields inherited from class com.sun.tdk.signaturetest.Result
`NO_EXIT`

Constructor Summary
`SetupAndTest()`

Method Summary
`void` | `decodeOptions(java.lang.String optionName, java.lang.String[] args)`
`static void` | `main(java.lang.String[] args)`
`boolean` | `run(java.lang.String[] args, java.io.PrintWriter log, java.io.PrintWriter ref)`
`static void` | `usage()`

Methods inherited from class com.sun.tdk.signaturetest.Result
`error, exit, failed, getReason, isPassed, notrun, passed, passed, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REFERENCE_OPTION

    public static final java.lang.String REFERENCE_OPTION

See Also:
  Constant Field Values

### TEST_OPTION

    public static final java.lang.String TEST_OPTION

See Also:
  Constant Field Values

Constructor Detail

### SetupAndTest

    public SetupAndTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### run

    public boolean run(java.lang.String[] args,
                       java.io.PrintWriter log,
                       java.io.PrintWriter ref)

### decodeOptions

    public void decodeOptions(java.lang.String optionName,
                              java.lang.String[] args)

### usage

    public static void usage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD